Page MenuHomePhabricator

RESTBase load failed: Service Unavailable
Closed, ResolvedPublic0 Story Points

Description

I have enabled VisualEditor role on mediawiki-vagrant VM. Provisioning went fine.

When I open main page and click edit, I get Error loading data from server: HTTP 503.

When I take a look at javascript console, it says RESTBase load failed: Service Unavailable.

Event Timeline

zeljkofilipin raised the priority of this task from to Needs Triage.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added a subscriber: zeljkofilipin.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 11 2016, 11:12 AM
zeljkofilipin set Security to None.
mobrovac closed this task as Invalid.Feb 11 2016, 4:18 PM
mobrovac claimed this task.
mobrovac added a subscriber: mobrovac.

This was resolved yesterday in T126421: RESTBase fails to start up on MW-Vagrant. You need to git pull && vagrant provision && vagrant git-update.

zeljkofilipin added a comment.EditedFeb 12 2016, 10:18 AM
$ sw_vers -productVersion # Mac OS X
10.11.3

$ git --version
git version 2.5.4 (Apple Git-61)

$ vboxmanage --version # VirtualBox
5.0.14r105127

$ vagrant -v
Vagrant 1.8.1

$ git remote -v
origin	ssh://zfilipin@gerrit.wikimedia.org:29418/mediawiki/vagrant (fetch)
origin	ssh://zfilipin@gerrit.wikimedia.org:29418/mediawiki/vagrant (push)

$ git log -1 --oneline
633f29d Update Thumbor config format

$ git pull origin master
From ssh://gerrit.wikimedia.org:29418/mediawiki/vagrant
 * branch            master     -> FETCH_HEAD
Already up-to-date.

$ git status
On branch master
nothing to commit, working directory clean

$ ./setup.sh
Plugin vagrant-vbguest is already installed
Installing plugin mediawiki-vagrant-0.13.0.gem
- Installing the 'mediawiki-vagrant-0.13.0.gem' plugin. This can take a few minutes...
- Installed the plugin 'mediawiki-vagrant (0.13.0)'!
You're all set! Simply run `vagrant up` to boot your new environment.
(Or try `vagrant config --list` to see what else you can tweak.)

$ vagrant roles list -e
Enabled roles:

$ vagrant status
Current machine states:
default                   not created (virtualbox)
The environment has not yet been created. Run `vagrant up` to
create the environment. If a machine is not created, only the
default provider will be shown. So if a provider is not listed,
then the machine is not created for that environment.

$ vagrant up
...
==> default: Notice: Finished catalog run in 469.07 seconds

$ vagrant git-update
...
wiki:  Done in 0.7 s.

$ vagrant roles enable visualeditor
Ok. Run `vagrant provision` to apply your changes.
Note the following settings have changed and your environment will be reloaded.
forward_ports: {} -> { 1970: 1970, 7231: 7231, 8000: 8000 }

$ vagrant provision
...
==> default: Notice: Finished catalog run in 42.28 seconds

Full output of vagrant up is at P2601, vagrant git-update at P2602, vagrant provision at P2603.

GET XHR  http://127.0.0.1:8080/api/rest_v1/page/html/Main_Page [HTTP/1.1 503 Service Unavailable 2ms]
RESTBase load failed: Service Unavailable load.php:6:85
zeljkofilipin reopened this task as Open.Feb 12 2016, 10:43 AM

@zeljkofilipin your vagrant roles list -e suggests you have no roles enabled. This seems to be corroborated by the output given by vagrant git-update: the RESTBase and Parsoid repos are not being updated. You need to enable at least the visualeditor role in order to have everything set up as needed.

@mobrovac: I did run vagrant roles enable visualeditor and vagrant provision at the end. I will run vagrant git-update after I provision visualeditor role.

zeljkofilipin closed this task as Resolved.Feb 15 2016, 10:33 AM

Sorry, the problem was on my side, everything works fine now.

Jdforrester-WMF set the point value for this task to 0.May 10 2016, 1:22 AM